/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents the callback arguments that are used by the `itemDisabled` property.
 */
export interface ItemArgs {
    /**
     * The current data item.
     */
    dataItem: any;
    /**
     * The current item index.
     */
    index: number;
}
/**
 * Represents the callback that is used by the `itemDisabled` property.
 */
export type ItemDisabledFn = (context: ItemArgs) => boolean;
